Bug 300482 - The scalable ant path is unnecessary.
Summary: The scalable ant path is unnecessary.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.4
Platform: Debian unstable Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 04:56 UTC by yustas
Modified: 2013-05-17 07:15 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yustas 2012-05-23 04:56:59 UTC
The ant path (the visible bounding strokes around the selected area) should not be scalable trough the zooming a page. This is slow and bad visible now.
Comment 1 David REVOY 2012-11-17 05:42:07 UTC
I confirm thats having a 'ant path' with different aspect depending on zoom as it is now is unecessary and slow to trace. I understand now better why working on high res picture the 'ant path' of selection is so tiny and dense , and take time to display. 

I noticed a impact on performance with this test :
1) at 100% of viewport of a image, with square select tool , select a zone. 
2) notice how the ants path display fast, and rendering at 100% is good on screen.
3) zoom out a lot , and reselect the same zone size , it's slower to be displayed for the same size
Comment 2 Halla Rempt 2012-12-29 11:41:53 UTC
Ack, confirmed.
Comment 3 Dmitry Kazakov 2013-05-08 15:52:24 UTC
Git commit cf8545be11df17892ec437f460928b0b50e4b969 by Dmitry Kazakov.
Committed on 08/05/2013 at 17:50.
Pushed by dkazakov into branch 'master'.

Fixed Marching Ants not to be scalable

This is quite simple, but long-awaited fix

M  +3    -0    krita/ui/canvas/kis_infinity_manager.cpp
M  +10   -11   krita/ui/kis_selection_decoration.cc

http://commits.kde.org/calligra/cf8545be11df17892ec437f460928b0b50e4b969
Comment 4 Dmitry Kazakov 2013-05-08 18:08:44 UTC
Git commit 4746d1b169220ee9a22f58827c75dfdbe79f5c1c by Dmitry Kazakov.
Committed on 08/05/2013 at 19:57.
Pushed by dkazakov into branch 'calligra/2.7'.

Fixed Marching Ants not to be scalable

This is quite simple, but long-awaited fix

Conflicts:

	krita/ui/canvas/kis_infinity_manager.cpp

M  +10   -11   krita/ui/kis_selection_decoration.cc

http://commits.kde.org/calligra/4746d1b169220ee9a22f58827c75dfdbe79f5c1c
Comment 5 yustas 2013-05-10 05:00:17 UTC
Thank you Dmitry.
Comment 6 Siddharth 2013-05-17 07:15:33 UTC
Git commit 1a54eae17b5a8ae2c746c87ef93df92474c6170f by Siddharth Sharma, on behalf of Dmitry Kazakov.
Committed on 08/05/2013 at 17:50.
Pushed by siddharthsharma into branch 'krita-psd-plugin-siddharth'.

Fixed Marching Ants not to be scalable

This is quite simple, but long-awaited fix

M  +3    -0    krita/ui/canvas/kis_infinity_manager.cpp
M  +10   -11   krita/ui/kis_selection_decoration.cc

http://commits.kde.org/calligra/1a54eae17b5a8ae2c746c87ef93df92474c6170f